%% Demo file 
% Computing the scattering coefficients of a multi-layer spherical shell
% in the case of Maxwell's equation
 

clear all;
close all;
clc;

%% Set parameters for multi-layer structure


L = 3; % the number of layers
omega=1; % operating frequency


mu = [1, 0.5, 2.0, 0.5]; % material parameters for each layer
eps = [1, 0.5, 2.0, 0.5];
r = [0, 2, 5/3, 4/3, 1]; % radius for each layer



%% Compute Scattering Coefficients

NN=7;
SC_data_TE = zeros(NN,1);
SC_data_TM = zeros(NN,1);
for n=1:NN
    [W_TE_n, W_TM_n]= SCoeff_Maxwell(L,omega,mu,eps,r,n);
    SC_data_TE(n) = W_TE_n;
    SC_data_TM(n) = W_TM_n;
end

fprintf('\n Scattering Coefficients of a multi-layer spherical shell \n-------------------------------------\n      W_{n}^{TE}     |    W_{n}^{TM}');
[SC_data_TE SC_data_TM]
