function [Udotc Vdotc]=generate_Udotc_Vdotc(c,d,N)

cx=c(1);cy=c(2);cz=c(3);
dx=d(1);dy=d(2);dz=d(3);

Udotc = zeros(N,2*N+1);
Vdotc = zeros(N,2*N+1);

[cphi,temp_cth,cr] = cart2sph(cx,cy,cz);
ctheta = pi/2-temp_cth;

[dphi,temp_dth,dr] = cart2sph(dx,dy,dz);
dtheta = pi/2-temp_dth;


for n=1:N
    
    Pnm_data = legendre(n,cos(dtheta));
    Pnm_data2 = legendre(n+1,cos(dtheta));
for m=-n:n
    
    constA = sqrt( (2*n+1)/(4*pi)*factorial(n-abs(m))/factorial(n+abs(m))  );
    dP = -(n+1)*cos(dtheta)*Pnm_data(abs(m)+1)+(n-abs(m)+1)*Pnm_data2(abs(m)+1);
    dth_Y = constA*1/sin(dtheta)*dP*exp(1i*m*dphi);
    dphi_Y = 1/sin(dtheta)*1i*m*constA*Pnm_data(abs(m)+1)*exp(1i*m*dphi);
    
    Udotc(n,n+1+m) = 1/sqrt(n*(n+1))*( dth_Y * ctheta + dphi_Y * cphi);
    Vdotc(n,n+1+m) = 1/sqrt(n*(n+1))*( -dphi_Y * ctheta + dth_Y * cphi);
 
    
end
end



